#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Build ETSI ITS certificate generation tools \n*****************************\n"
cd ${HOME}/dev || exit 1

git clone https://forge.etsi.org/rep/ITS/itscertgen.git itscertgen
cd itscertgen
cd cshared && make && cd -
cd certgen/ && make && cd -

echo -e "*****************************\n* Generate ETSI ITS certificates \n*****************************\n"
cd ${HOME}/dev/TTF011_Its/data/v3
make && make clean

echo -e "*****************************\n* Install ETSI ITS certificates\n*****************************\n"
mv ${HOME}/dev/TTF011_Its/data/certificates/certificates ${HOME}/tmp/asn1c_cert

cd ${HOME}

exit 0

